cURL Node.js Python Go More languages More PHP Ruby Java C# PowerShell
curl --request POST \
--url https://api.serverside.com/v1/billing/orders \
--header ' Authorization: Bearer <api-key> ' \
--header ' Content-Type: application/json ' \
--data '
{
"items": [
{
"type": "BAREMETAL",
"plan": "<string>",
"datacenter": "<string>",
"ipv4PrefixLength": 30,
"ipv6PrefixLength": 120,
"name": "<string>",
"bootMode": "LOCAL_DISK",
"ipxeScript": "<string>"
},
{
"type": "IP_BLOCK",
"plan": "<string>",
"datacenter": "<string>",
"networkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"cycle": "HOURLY",
"promoCode": "<string>"
}
' 200 201 400 401 403 500 default
{
" success ": true ,
" data ": {
" order ": {
" id ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" organizationId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" status ": " UNPAID ",
" promoCode ": " <string> ",
" datePlaced ": " 2026-01-15T09:30:00Z ",
" cycle ": " HOURLY ",
" subtotalMillicents ": 123 ,
" currency ": " <string> ",
" items ": [
{
" id ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" title ": " <string> ",
" status ": " PENDING ",
" type ": " BAREMETAL ",
" completedAt ": " 2026-01-15T09:30:00Z ",
" offeringId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" provisionedId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" subtotalMillicents ": 123 ,
" lines ": [
{
" title ": " <string> ",
" type ": " BAREMETAL ",
" subtotalMillicents ": 123
}
],
" details ": {
" type ": " BAREMETAL ",
" datacenterId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" ipv4PrefixLength ": 123 ,
" ipv6PrefixLength ": 123 ,
" name ": " <string> ",
" bootMode ": " LOCAL_DISK ",
" ipxeScript ": " <string> "
}
}
]
},
" invoiceId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" subscriptions ": [
{
" id ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" organizationId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" lastRenewal ": " 2026-01-15T09:30:00Z ",
" nextRenewal ": " 2026-01-15T09:30:00Z ",
" createdAt ": " 2026-01-15T09:30:00Z ",
" terminatedAt ": " 2026-01-15T09:30:00Z ",
" cycle ": " HOURLY ",
" status ": " ACTIVE ",
" items ": [
{
" id ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" subscriptionId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" orderItemId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" provisionedId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" type ": " BAREMETAL ",
" details ": {
" type ": " BAREMETAL ",
" includedEgressGb ": 123
},
" title ": " <string> ",
" subtotalMillicents ": 123 ,
" discountRate ": 123 ,
" terminatedAt ": " 2026-01-15T09:30:00Z ",
" currency ": " <string> "
}
],
" currency ": " <string> "
}
],
" provisionedItems ": [
{
" orderItemId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" provisionedId ": " 3c90c3cc-0d44-4b50-8888-8dd25736052a ",
" isProvisioned ": true ,
" errorMessage ": " <string> "
}
],
" isReplayed ": true
}
}